%define anolis_release 1

Name:    qt5-qtlocation
Version: 5.15.9
Release: %{anolis_release}%{?dist}
Summary: Qt5 - Location component
License: LGPLv2 with exceptions or GPLv3 with exceptions
Url:     http://www.qt.io
Source0: https://download.qt.io/official_releases/qt/5.15/%{version}/submodules/qtlocation-everywhere-opensource-src-%{version}.tar.xz

# build failure with gcc10
Patch0: qtlocation-gcc10.patch

# filter plugin/qml provides
%global __provides_exclude_from ^(%{_qt5_archdatadir}/qml/.*\\.so|%{_qt5_plugindir}/.*\\.so)$

BuildRequires: make
BuildRequires: qt5-qtbase-devel >= 5.9.0 qt5-qtbase-private-devel qt5-qtdeclarative-devel >= 5.9.0
BuildRequires: pkgconfig(zlib) pkgconfig(icu-i18n) pkgconfig(libssl) pkgconfig(libcrypto)

%{?_qt5:Requires: %{_qt5} = %{_qt5_version}}

%description
The Qt Location and Qt Positioning APIs gives developers the ability to
determine a position by using a variety of possible sources, including
satellite, or wifi, or text file, and so on.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{EVR}
Requires: qt5-qtbase-devel

%description devel
This package provides development tools nad libraries for %{name}.

%package examples
Summary: Programming examples for %{name}
Requires: %{name} = %{EVR}

%description examples
This package provides programming examples for %{name}.

%prep
%autosetup -p1 -n qtlocation-everywhere-src-%{version}

%build
%define _lto_cflags %{nil}
%{qmake_qt5}
%make_build

%install
make install INSTALL_ROOT=%{buildroot}

pushd %{buildroot}%{_qt5_libdir}
for prl_file in libQt5*.prl ; do
  sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" ${prl_file}
  if [ -f "$(basename ${prl_file} .prl).so" ]; then
    rm -fv "$(basename ${prl_file} .prl).la"
    sed -i -e "/^QMAKE_PRL_LIBS/d" ${prl_file}
  fi
done
popd

%files
%{_qt5_libdir}/libQt5Location.so.5*
%{_qt5_libdir}/libQt5Positioning.so.5*
%{_qt5_libdir}/libQt5PositioningQuick.so.5*

%dir %{_qt5_archdatadir}/qml/QtPositioning
%{_qt5_archdatadir}/qml/QtLocation/
%{_qt5_archdatadir}/qml/QtPositioning/*
%{_qt5_plugindir}/position/
%{_qt5_plugindir}/geoservices/

%license LICENSE.GPL2 LICENSE.GPL3 LICENSE.GPL3-EXCEPT
%license LICENSE.GPLv3 LICENSE.LGPL3 LICENSE.LGPLv3

%files devel
%dir %{_qt5_libdir}/cmake/Qt5Location
%dir %{_qt5_libdir}/cmake/Qt5Positioning
%dir %{_qt5_libdir}/cmake/Qt5PositioningQuick/
%{_qt5_libdir}/libQt5Location.so
%{_qt5_libdir}/libQt5Location.prl
%{_qt5_libdir}/libQt5Positioning.so
%{_qt5_libdir}/libQt5Positioning.prl
%{_qt5_libdir}/libQt5PositioningQuick.so
%{_qt5_libdir}/libQt5PositioningQuick.prl
%{_qt5_libdir}/pkgconfig/Qt5Location.pc
%{_qt5_libdir}/cmake/Qt5Location/Qt5Location*.cmake
%{_qt5_libdir}/pkgconfig/Qt5Positioning.pc
%{_qt5_libdir}/cmake/Qt5Positioning/Qt5Positioning*.cmake
%{_qt5_libdir}/pkgconfig/Qt5PositioningQuick.pc
%{_qt5_libdir}/cmake/Qt5PositioningQuick/Qt5PositioningQuick*.cmake

%{_qt5_archdatadir}/mkspecs/modules/qt_lib_location*.pri
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_positioning*.pri
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_positioning*.pri

%{_qt5_headerdir}/QtPositioning/
%{_qt5_headerdir}/QtLocation/
%{_qt5_headerdir}/QtPositioningQuick/

%files examples
%{_qt5_examplesdir}/

%changelog
* Tue May 23 2023 Funda Wang <fundawang@yeah.net> - 5.15.9-1
- New version 5.15.9

* Tue Apr 11 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 5.15.8-2
- Refactor the specfile

* Thu Jan 19 2023 Funda Wang <fundawang@yeah.net> - 5.15.8-1
- New version 5.15.8

* Wed Dec 7 2022 Funda Wang <fundawang@yeah.net> - 5.15.7-1
- New version 5.15.7

* Tue Dec 06 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 5.15.5-3
- rebuild with icu update

* Thu Jul 28 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 5.15.5-2
- Bump version to rebuild with qt5-qtbase

* Wed Jul 27 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 5.15.5-1
- init from upstream
